Class UmlBaseCollaborationDiagramDefinition

this class manages collaboration diagram definition

Declaration :

- C++ : class UmlBaseCollaborationDiagramDefinition
- Java : class UmlBaseCollaborationDiagramDefinition

Directly inherited by : UmlCollaborationDiagramDefinition

Artifact : UmlBaseCollaborationDiagramDefinition

Operation instances

return the instances present in the diagram

Declaration :

- Uml : + instances() : UmlClassInstanceReference
- C++ : public: const QVector<UmlClassInstanceReference> & instances() const
- Java : public UmlClassInstanceReference[] instances()

Operation messages

return the messages present in the diagram,
ordonned following their rank

Declaration :

- Uml : + messages() : UmlCollaborationMessage
- C++ : public: const QVector<UmlCollaborationMessage> & messages() const
- Java : public UmlCollaborationMessage[] messages()

Relation _instances (<directional composition>)

Declaration :

- Uml : - _instances : UmlClassInstanceReference, multiplicity : *
- C++ : private: QVector<UmlClassInstanceReference> _instances
- Java : private UmlClassInstanceReference[] _instances

Relation _messages (<directional composition>)

Declaration :

- Uml : - _messages : UmlCollaborationMessage, multiplicity : *
- C++ : private: QVector<UmlCollaborationMessage> _messages
- Java : private UmlCollaborationMessage[] _messages

Operation read_

internal, don't call it

Declaration :

- Uml : + read_() : void
- C++ : private: void read_()
- Java : public void read_()

Operation ~UmlBaseCollaborationDiagramDefinition

to avoid compiler warning, don't call it

Declaration :

- Uml : + ~UmlBaseCollaborationDiagramDefinition() :
- C++ : public: ~UmlBaseCollaborationDiagramDefinition()

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseCollaborationDiagram;

All public operations : instances , messages , read_